## AnacondaSpokeWindow AnacondaSpokeWindow — Window for displaying single spokes |

## Synopsis

    struct              AnacondaSpokeWindow;
    struct              AnacondaSpokeWindowClass;
    GtkWidget *         anaconda_spoke_window_new           ();

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkWidget
                   +----GtkContainer
                         +----GtkBin
                               +----GtkWindow
                                     +----AnacondaBaseWindow
                                           +----AnacondaSpokeWindow

## Implemented Interfaces

AnacondaSpokeWindow implements AtkImplementorIface and GtkBuildable.

## Properties

      "button-label"             gchar*                : Read / Write

## Signals

      "button-clicked"                                 : Action

## Description

A AnacondaSpokeWindow is a top-level window that displays a single spoke on the entire screen. Examples include the keyboard and language configuration screens off the first hub.

The window consists of two areas:

- A navigation area in the top of the screen, inherited from AnacondaBaseWindow and augmented with a button in the upper left corner.

- An action area in the rest of the screen, taking up a majority of the space. This is where widgets will be added and the user will do things.

## Details

### struct AnacondaSpokeWindow

    struct AnacondaSpokeWindow;

The AnacondaSpokeWindow struct contains only private fields and should not be directly accessed.

### struct AnacondaSpokeWindowClass

    struct AnacondaSpokeWindowClass {
        AnacondaBaseWindowClass parent_class;

        void (* button_clicked)  (AnacondaSpokeWindow *window);
    };

AnacondaBaseWindowClass `parent_class`; | The object class structure needs to be the first element in the widget class structure in order for the class mechanism to work correctly. This allows an AnacondaSpokeWindowClass pointer to be cast to an AnacondaBaseWindow pointer.
`button_clicked` () | Function pointer called when the "button-clicked" signal is emitted.

### anaconda_spoke_window_new ()

    GtkWidget *         anaconda_spoke_window_new           ();

Creates a new AnacondaSpokeWindow, which is a window designed for displaying a single spoke, such as the keyboard or network configuration screens.

Returns : | A new AnacondaSpokeWindow.

## Property Details

### The `"button-label"` property

      "button-label"             gchar*                : Read / Write

The :button-label string is the text used to label the button displayed in the upper lefthand of the window. By default, this is a back button but could be anything else appropriate.

Default value: "_Done"

Since 1.0

## Signal Details

### The `"button-clicked"` signal

    void                user_function                      (AnacondaSpokeWindow *window,
                                                            gpointer             user_data)      : Action

Emitted when the button in the upper left corner has been activated (pressed and released). This is commonly the button that takes the user back to the hub, but could do other things.

`window` : | the window that received the signal
`user_data` : | user data set when the signal handler was connected.

Since 1.0